ONVIF::Device::Types::NTPInformation(3)

NAME
ONVIF::Device::Types::NTPInformation

DESCRIPTION
Perl data type class for the XML Schema defined complexType NTPInformation from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   FromDHCP

•   NTPFromDHCP

•   NTPManual

•   Extension

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Device::Types::NTPInformation
   FromDHCP =>  $some_value, # boolean
   NTPFromDHCP =>  { # ONVIF::Device::Types::NetworkHost
     Type => $some_value, # NetworkHostType
     IPv4Address => $some_value, # IPv4Address
     IPv6Address => $some_value, # IPv6Address
     DNSname => $some_value, # DNSName
     Extension =>  { # ONVIF::Device::Types::NetworkHostExtension
     },
   },
   NTPManual =>  { # ONVIF::Device::Types::NetworkHost
     Type => $some_value, # NetworkHostType
     IPv4Address => $some_value, # IPv4Address
     IPv6Address => $some_value, # IPv6Address
     DNSname => $some_value, # DNSName
     Extension =>  { # ONVIF::Device::Types::NetworkHostExtension
     },
   },
   Extension =>  { # ONVIF::Device::Types::NTPInformationExtension
   },
 },

AUTHOR
Generated by SOAP::WSDL